# {{ ansible_managed }}
#

blueprint.site.mapping.corporate = {{ studio.blueprint.site.mapping.corporate }}

com.coremedia.transform.blobCache.basePath = {{ studio.transform.blob_cache.base_path }}

elastic.solr.url = {{ studio.elastic.solr.url }}

es.cae.http.host = {{ studio.es.cae.http.host }}
es.cae.protocol  = {{ studio.es.cae.protocol }}

externalpreview.previewUrl = {{ studio.externalpreview.preview_url }}
externalpreview.restUrl    = {{ studio.externalpreview.rest_url }}
externalpreview.urlPrefix  = {{ studio.externalpreview.url_prefix }}

link.urlPrefixType = {{ studio.link.url_prefix_type }}

repository.workflow                   = {{ studio.repository.workflow | bool | ternary('true', 'false') }}
repository.blobCachePath              = {{ studio.repository.blob.cache.path }}
repository.blobCacheSize              = {{ studio.repository.blob.cache.size }}
repository.blobStreamingSizeThreshold = {{ studio.repository.blob.streaming.size_threshold }}
repository.blobStreamingThreads       = {{ studio.repository.blob.streaming.threads }}
repository.heapCacheSize              = {{ studio.repository.heap_cache_size }}
repository.maxCachedBlobSize          = {{ studio.repository.max_cached_blob_size }}
repository.url                        = {{ studio.repository.url }}

solr.collection.cae     = {{ studio.solr.collection.cae }}
solr.collection.content = {{ studio.solr.collection.content }}
solr.url                = {{ studio.solr.url }}

spring.http.encoding.force = {{ studio.spring.http.encoding.force }}

studio.locales                               = {{ studio.studio.locales | join(', ') }}
studio.dynamicpackages.remote.urls.whitelist = {{ studio.studio.dynamicpackages.remote.urls.whitelist | join(', ') }}
studio.dynamicpackages.rest.url              = {{ studio.studio.dynamicpackages.rest.url }}
studio.previewUrlPrefix                      = {{ studio.studio.preview.url.prefix }}
studio.previewUrlWhitelist                   = {{ studio.studio.preview.url.whitelist | join(', ') }}

themeImporter.apiKeyStore.basePath = {{ studio.theme_importer.api_key_store.base_path }}
themeImporter.themeDeveloperGroups = {{ studio.theme_importer.theme_developer_groups }}

mongoDb.clientURI = {{ studio.mongodb.client_uri }}
mongoDb.prefix    = {{ studio.mongodb.prefix }}



#
ServletContext resource [/WEB-INF/application.properties]
# - ###############################################################################
# - # content repository connection, configuring cms-connection.xml
# - ###############################################################################
# - repository.url=http://localhost:40180/coremedia/ior
# -
# - # Solr configuration: TODO move the configuration to a component or remove it after the studio specific livecontext asset service is introduced
# - solr.collection.cae=preview
# - solr.collection.content=studio
# - solr.url=http://localhost:40080/solr
# -
# - # whether to connect to the workflow server; set to false if no workflow
# - # support is needed
# - repository.workflow=true
# -
# - # Configure MongoDB connection. Required for Elastic Social.
# - # Also used for Studio Control Room functionality except if IBM DB2 is configured.
# - mongoDb.clientURI=mongodb://localhost:27017/
# - mongoDb.prefix=blueprint
# -
# - ###############################################################################
# - # CoreMedia Studio configuration
# - ###############################################################################
# -
# - # A comma-separated list of locales from which the user can choose
# - # the locale in which the Studio is displayed. If unset, the
# - # list locales defaults English or German.
# - studio.locales=en,de,ja
# -
# - # The URI prefix of the CAE preview webapp. This prefix is used to compose
# - # preview URIs for documents, assuming that a standard CAE preview controller
# - # is mapped  at the path 'preview'.
# - # Placeholder {0} is replaced with current studio tenant (if available).
# - # studio.previewUrlPrefix=http://{0}.localhost:40980/blueprint/servlet
# - studio.previewUrlPrefix=http://localhost:40980/blueprint/servlet
# -
# - # Configurable preview controller pattern
# - # Placeholder 0: An ID that can be converted by an com.coremedia.id.IdScheme
# - #studio.previewControllerPattern=preview?id={0}
# -
# - # Configures a list of valid preview origins. The preview integration does
# - # only work for preview documents from listed origins. Wildcards (*) may
# - # be used for valid origin entries. If left blank (or if the property is
# - # not listed at all), the origin of studio.previewUrlPrefix is the only accepted origin.
# - # NOTE: Once a whitelist is configured, the Studio has no chance to set a target origin
# - #       in outgoing messages anymore. Be aware that this is a minor security drawback.
# - # EXAMPLE:
# - # pbe.studioUrlWhitelist=https://host1:port1,\
# - #  https://host2:port2,\
# - #  http://localhost:*,\
# - #  *.company.com
# - studio.previewUrlWhitelist=http://localhost:40980,*.coremedia.vm:40980,*.coremedia.vm,*.coremedia.com,*.coremedia.com:8000,*.coremedia.vm:8000,*.192.168.252.100.xip.io
# -
# - # Supported time zones for the studio installation.
# - # Provide a comma separated list of supported Java time zone IDs
# - studio.timeZones=Europe/Berlin,Europe/London,America/New_York,America/Los_Angeles
# -
# - cae.is.preview=true
# -
# - # Default time zone for CoreMedia studio. Make sure that the default time zone is
# - # included in the studio.timeZones list.
# - studio.defaultTimeZone=Europe/Berlin
# -
# - # Declaration, which actions are checked before execution. These actions are only allowed
# - # for documents without error issues. As some actions are in a dependency relationship
# - # (e.g. APPROVE depends on CHECKIN), only the least inclusive actions need to be declared
# - # (e.g. CHECKIN entails the check of CHECKIN and APPROVE actions).
# - # Currently, the only supported OPTIONS are CHECKIN, APPROVE or nothing
# - studio.validateBefore=APPROVE
# -
# - # Location of the document that defines the available locales.
# - studio.availableLocalesContentPath=/Settings/Options/Settings/LocaleSettings
# - # Property path to the Struct-StringListProperty containing the locales.
# - studio.availableLocalesPropertyPath=settings.availableLocales
# -
# - # The maximum size of a markup object in bytes for which differences
# - # with other markup can be compute. By default, this value is set to 300000,
# - # which amounts to approximately 15000 words.
# - #studio.differencing.maxMarkupSize=300000
# -
# - # The priority of publications started in Studio
# - studio.publicationPriority=60
# -
# - # Several studio plugins lookup documents from local or global folders where additional settings are read from
# - studio.siteConfigurationPath=Options/Settings
# - studio.globalConfigurationPath=/Settings
# -
# - # The interval at which the dashboard is refreshed when visible in milliseconds (0 to disable automatic refresh)
# - studio.dashboard.refresh.interval=30000
# -
# - #The value that defines how many dependent contents will be returned in "Translation Workflow Start window" when starting a translation Workflow.
# - studio.workflow.translation.extendedWorkflow=100
# -
# - # Property for Dynamic Packages
# - studio.dynamicpackages.remote.urls.whitelist=*//localhost:*,*.coremedia.vm*,*.coremedia.com*
# -
# - ###############################################################################
# - # CoreMedia Studio - Content Security Policy Configuration
# - ###############################################################################
# -
# - # Level of Content Security Policy protection. For further details about CSP and
# - # the default policy settings please refer to the Studio Developer Manual.
# - # Allowed values are:
# - # ENFORCE - Enable CSP protection.
# - # ENFORCE_ALLOW_DISABLE - Enable CSP protection unless the 'disableCsp' query parameter is 'true'.
# - # REPORT - Enable CSP report only mode without enforcing CSP protection.
# - # DISABLE - Disable CSP protection and reporting.
# - studio.security.csp.mode=ENFORCE
# -
# - # List of values for the 'script-src' policy directive.
# - # If this property is not provided the default values are 'self','unsafe-eval'.
# - #studio.security.csp.scriptSrc='self','unsafe-eval'
# -
# - # List of values for the 'style-src' policy directive.
# - # If this property is not provided the default values are 'self','unsafe-inline'.
# - #studio.security.csp.styleSrc='self','unsafe-inline'
# -
# - # List of values for the 'frame-src' policy directive.
# - # The hierarchy of default values for this directive is as follows
# - #   1. studio.previewUrlWhitelist values if specified
# - #   2. schema and authority of studio.previewUrlPrefix if specified
# - #   3. 'self'
# - #studio.security.csp.frameSrc=
# - #Apply these frame sources to allow YouTube videos inside the external preview
# - #studio.security.csp.frameSrc=http://localhost:40980,*.coremedia.vm:40980,*.coremedia.vm,*.coremedia.com,*.coremedia.com:8000,*.coremedia.vm:8000,'self',www.youtube.com
# -
# - # List of values for the 'connect-src' policy directive.
# - # If no custom list is provided the default value is 'self'.
# - #studio.security.csp.connectSrc=
# -
# - # List of values for the 'font-src' policy directive.
# - # If no custom list is provided the default value is 'self'.
# - #studio.security.csp.fontSrc=
# -
# - # List of values for the 'img-src' policy directive.
# - # If no custom list is provided the default value is 'self'.
# - #
# - # We allow all image source loaded via http or https here
# - # as otherwise images in the external library cannot be loaded.
# - studio.security.csp.imgSrc='self',data:,http:,https:
# -
# - # List of values for the 'media-src' policy directive.
# - # If no custom list is provided the default value is 'self'.
# - #studio.security.csp.mediaSrc=
# -
# - # List of values for the 'object-src' policy directive.
# - # If no custom list is provided the default value is 'self'.
# - studio.security.csp.objectSrc='self'
# -
# - # List of values for the 'report-uri' policy directive.
# - # If no custom list is provided the directive is not included.
# - #studio.security.csp.reportUri=
# -
# - # List of values for the 'frame-ancestors' policy directive.
# - # If no custom list is provided the default value is 'none'.
# - #studio.security.csp.frameAncestors=
# -
# - ###############################################################################
# - # CoreMedia Studio - Timeout Policy Configuration
# - ###############################################################################
# -
# - # The delay before a Studio session is automatically disconnected after
# - # inactivity, in seconds. Inactivity is checked on the client.
# - # Set to 0 to disable auto logout (not recommended).
# - # For clients that cannot reach the Studio web application, the timeout
# - # of the server session determines the timeout of the Studio session.
# - #studio.security.autoLogout.delay=1800
# -
# - ###############################################################################
# - # Elastic Social configuration
# - ###############################################################################
# - # This is ok for development but in production environments you have to choose a live
# - # cae instead of the preview to generate urls that direct the user to those. No user should
# - # ever send request to the preview cae. In general the port should be empty for production
# - # environments, as users usually request a web server in front of the cae on port 80.
# - es.cae.http.port=40081
# - es.cae.http.host=localhost
# - es.cae.protocol=http
# -
# - # Elastic Social needs to build live urls, even in the Studio webapp.
# - link.urlPrefixType=live
# -
# - # The initial default URL prefix for our livecontext example sites
# - blueprint.site.mapping.calista=${blueprint.sitemap.protocol}://${es.cae.http.host}:${es.cae.http.port}
# - blueprint.site.mapping.helios=${blueprint.sitemap.protocol}://${es.cae.http.host}:${es.cae.http.port}
# -
# - ###############################################################################
# - # CoreMedia Studio External Preview Configuration
# - ###############################################################################
# - # The URL the REST resource of the external preview should push the data to.
# - # The controller addressed here must belong to a preview CAE.
# - externalpreview.restUrl=http://localhost:40980/blueprint/servlet/service/externalpreview
# -
# - # The URL where the login page of the external preview can be found.
# - externalpreview.previewUrl=http://localhost:40980/blueprint/externalpreview
# -
# - # This prefix + the relative preview URL (content.getPreviewUrl()) is send
# - # to the external preview URL to be displayed in the preview iframe
# - externalpreview.urlPrefix=https://localhost:40980
# -
# - # Configure XLIFF schema validation behavior for XLIFF import.
# - # Possible values:
# - #   FAIL_ON_WARNING (mark import as failed on warnings)
# - #   FAIL_ON_ERROR (mark import as failed on errors)
# - #   FAIL_ON_FATAL_ERROR (mark import as failed on fatal errors)
# - #   DISABLED (default; don't validate)
# - translate.xliff.import.xliffValidationMode=DISABLED
# -
# - # Configure handling of empty trans-unit targets for XLIFF import.
# - # Possible values:
# - #   IGNORE (Empty targets are allowed),
# - #   FORBIDDEN (No empty targets are allowed),
# - #   IGNORE_WHITESPACE (Empty targets are only allowed where the matching source is empty
# - #                     or contains only whitespace characters) (default)
# - translate.xliff.import.emptyTransUnitMode=IGNORE_WHITESPACE
# -
# - # Configure the regular expression that determines which characters are counted as ignorable whitespace.
# - # This configuration is only used when translate.xliff.import.emptyTransUnitMode is set to IGNORE_WHITESPACE.
# - translate.xliff.import.ignorableWhitespaceRegex=[\\s\\p{Z}]*
# -
# - # Configure the flag that determines whether the contentName will be excluded in the Xliff-export
# - translate.xliff.export.excludeContentName=false
# -
# - # Configure the strictness of the the XLIFF Export Pre-Processing
# - # regarding missing property transformers.
# - # Possible values: fail, warn, none where fail is the default.
# - # translate.item.transform.failure.mode=warn
# -
# - # Configure the strictness of the the XLIFF Export regarding missing
# - # export handlers.
# - # Possible values: fail, warn, none where fail is the default.
# - # translate.xliff.export.handler.failure.mode=warn
# -
# - # Configure Pull Translation (translation into preferred site) behavior:
# - # When set to true the workflow dialog is displayed, otherwise the workflow is started automatically.
# - studio.translation.showPullTranslationStartWindow=true
# -
# - # The _internal_ name of the commerce host. This hostname is used for the backend connection
# - # from CAE to commerce server
# - livecontext.ibm.wcs.host=shop-helios.blueprint-box.vagrant
# -
# - # The publicly known name of the production commerce host in a preview (staging) environment.
# - # In general this is the name of a virtual
# - # (apache) host. An end user uses this hostname to contact the commerce system.
# - livecontext.apache.preview.production.wcs.host=${livecontext.ibm.wcs.host}
# - livecontext.apache.wcs.host=${livecontext.apache.preview.production.wcs.host}
# -
# -
# - ###############################################################################
# - # CoreMedia Studio Blob Transformer Configuration
# - ###############################################################################
# -
# - # Base path for the persistent blob cache
# - # If not set, transformed blobs are not cached persistently.
# - com.coremedia.transform.blobCache.basePath=
# -
# - # Max allowed disk space usage
# - #com.coremedia.transform.blobCache.size=1000000000
# -
# - # Max allowed disk space usage
# - #com.coremedia.transform.blobCache.size=1000000000
# -
# - # Capacity of the throttlingBlobTransformer, in megabytes (conforming to ImageSizePermitStrategy).
# - # Default is 1/2 of the total JVM heap space.
# - #com.coremedia.transform.throttle.permits=
# -
# - # Specifies whether the configured permits (com.coremedia.transform.throttle.permits) should be considered a hard limit for transformations.
# - # Setting this to false allows transformations needing more permits (serialized, one at a time).
# - # This would allow larger images to be transformed, but would make OOM exceptions during transformations more likely.
# - # Default is true.
# - #com.coremedia.transform.throttle.hardLimit=true
# -
# - # Specifies a safety factor for the ImageSizePermitStrategy to multiply the memory size of an image with. Default is 3.
# - # A number of 3 takes into account that some image operations need to make a copy of the image, plus one copy for the LoadedImageCache:
# - #com.coremedia.transform.throttle.safetyFactor=3.0
# -
# - # a factor to multiply the blob size with if the in-memory size of the blob cannot be determined. Default is 1.
# - #com.coremedia.transform.throttle.fallbackFactor=1
# -
# - # Specifies the safety factor of the MemoryGuard configured for the imageTransformer. Default is 1.2.
# - #com.coremedia.transform.memoryGuard.safetyFactor=1.2
# -
# - # Capacity of the loaded image cache, in bytes. Default is 100 MB.
# - #com.coremedia.transform.loadedImageCacheCapacity=
# -
# - ###############################################################################
# - # Theme Importer Configuration
# - ###############################################################################
# - # The list of groups whose users are allowed to use the theme
# - # importer resource and to get a preview with an uploaded theme.
# - # Multiple group names are separated by commas.
# - themeImporter.themeDeveloperGroups=developer
# -
# - # The base path in the file system where API keys are stored.
# - # This directory must be readable and writable by the Studio application,
# - # but should by strongly restricted otherwise, because it contains security
# - # relevant data.
# - #themeImporter.apiKeyStore.basePath=themeImporter/apiKeyStore
# -
# - # The number of seconds until an issued API key expires.
# - #themeImporter.apiKeyStore.expiresAfter=86400
# -
# - # The number of seconds between successive cleanups to expired API keys.
# - #themeImporter.apiKeyStore.cleanupInterval=86400
# -
# - ###############################################################################
# - # Upload Configuration
# - ###############################################################################
# - # The default content type to be used for bulk uploads,
# - # used if no mapping is found in the upload settings defined in content
# - studio.upload.defaultContentType=CMDownload
# - # The default blob property name of the default content to be used for bulk uploads,
# - # used if no mapping is found in the upload settings defined in content
# - studio.upload.defaultBlobProperty=data
# - # The name of the struct property to be used when the UploadSettings document is read.
# - studio.upload.uploadSettingsStructProperty=settings
# -
# - # disable auto configuration of features that are explicitly configured by CM components
# - spring.autoconfigure.exclude=\
# -   org.springframework.boot.autoconfigure.security.servlet.SecurityFilterAutoConfiguration,\
# -   org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration,\
# -   org.springframework.boot.autoconfigure.freemarker.FreeMarkerAutoConfiguration
#
# URL [jar:file:/opt/coremedia/studio/apache-tomcat-7.0.94/webapps/studio/WEB-INF/lib/bpbase-es-common-component-1904.2.jar!/META-INF/coremedia/component-elastic-social-plugin.properties]
# - users.token.expirationTime=604800000
# -
# - tenant.default=helios
#
# URL [jar:file:/opt/coremedia/studio/apache-tomcat-7.0.94/webapps/studio/WEB-INF/lib/control-room-rest-component-1904.2.jar!/META-INF/coremedia/component-control-room.properties]
# - #
# - # Control Room configuration
# - # ---------------------------
# -
# - # connect cap list repository
# - repository.caplist=true
# -
# - # --- CoreMedia MongoDB configuration
# - mongoDb.clientURI=mongodb://localhost:27017/
# - mongoDb.prefix=cms
# -
# - usecaplist=true
# - caplist=com.coremedia.cotopaxi.list.elastic.mongodb.MongoCapListConnectorFactory
# -
# - # --- CoreMedia In-Memory configuration
# - memory.collection.serialization.file=${java.io.tmpdir}/models.ser
#
# URL [jar:file:/opt/coremedia/studio/apache-tomcat-7.0.94/webapps/studio/WEB-INF/lib/editing-rest-component-1904.2.jar!/META-INF/coremedia/component-editing-rest.properties]
# - repository.workflow=true
# - repository.caplist=true
#
# URL [jar:file:/opt/coremedia/studio/apache-tomcat-7.0.94/webapps/studio/WEB-INF/lib/es-studio-component-1-SNAPSHOT.jar!/META-INF/coremedia/component-elastic-social-rest-extension.properties]
# - # only used for ALX deep links in LiveCAEUriComponentsBuilderCustomizer
# - es.cae.http.port=49080
# - es.cae.http.host=localhost
# - es.cae.protocol=http
#
# URL [jar:file:/opt/coremedia/studio/apache-tomcat-7.0.94/webapps/studio/WEB-INF/lib/external-preview-studio-lib-1-SNAPSHOT.jar!/META-INF/coremedia/component-external-preview-rest-service.properties]
# - ###############################################################################
# - # CoreMedia Studio External Preview Configuration
# - ###############################################################################
# -
# - # The URL the REST resource of the external preview should push the data to.
# - # The controller addressed here must belong to a preview CAE.
# - externalpreview.restUrl = http://localhost:40080/blueprint/servlet/externalpreview
# -
# - # The URL where the login page of the external preview can be found.
# - externalpreview.previewUrl = http://localhost:40080/blueprint/externalpreview
# -
# - # This prefix + the relative preview URL (content.getPreviewUrl()) is send
# - # to the external preview URL to be displayed in the preview iframe
# - externalpreview.urlPrefix = http://localhost:40080
#
# URL [jar:file:/opt/coremedia/studio/apache-tomcat-7.0.94/webapps/studio/WEB-INF/lib/management-component-1904.2.jar!/META-INF/coremedia/component-management.properties]
# - #
# - # Configuration for management component
# - #
# -
# -
# - # Re-use an existing MBean server ("true") or create a new one ("false")
# - management.server.reuse=true
# -
# - # JMX remote URL to start a remote connector server for. Leave empty when no server shall be started
# - # Example: service:jmx:jmxmp://localhost:5555
# - management.server.remote.url=
# -
# - # Standard MBean name domain
# - management.mbeans.domain=com.coremedia
# -
# - # If true, than a key "application" will be added to MBean name automatically
# - management.mbeans.key.application=true
#
